# AttachmentScannerPlugin for Mail.app
# (C) Copyright 2007 James R. Eagan
# by James R Eagan <eaganj+mail@cc.gatech.edu>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from AppKit import *
from Foundation import *
import objc
import PyObjCTools.AppHelper

from ASPCompatibilitySupport import *
from ASPLanguageSupport import *
#from ASPEditor import *
from ASPSwizzledEditor import *
#from ASPPreferences import *
#import ASPConfig

import os
import re
import traceback

ModuleBundle = objc.currentBundle()    
MVMailBundle = objc.lookUpClass('MVMailBundle')

class ASPBundle(MVMailBundle):
    # @classmethod
    # def hasPreferencesPanel(cls):
    #     #NSLog(u"[ASP] has preferences panel")
    #     return True
    # 
    # @classmethod
    # def preferencesOwnerClassName(cls):
    #     #NSLog(u"[ASP] get prefs owner class name")
    #     return u"ASPPreferences"
    # 
    # @classmethod
    # def preferencesPanelName(cls):
    #     #NSLog(u"[ASP] get prefs panel name")
    #     return u"ASP Preferences"
    
    @classmethod
    def initialize (cls):
        if CompatVersion in CompatVersionNames:
            cls.registerBundle()
            #ASPEditor.poseAsClass_(EmailEditor)
            # ASPPreferencesClass.poseAsClass_(NSPreferences)
            # ASPConfig.initPreferences()
            NSLog(u"[ASP] %s" % _("AttachmentScannerPlugin registered with Mail"))
            NSLog(u"[ASP] Using %s compatibility mode." % CompatVersionNames[CompatVersion])
        else:
            NSLog(u"[ASP] Unknown Mail plugin version: %s.  Plugin not loaded.")